Bug 207544 - mkinitrd fails to add lvm components when clustering is enabled.
mkinitrd fails to add lvm components when clustering is enabled.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks: 200812
  Show dependency treegraph
 
Reported: 2006-09-21 11:40 EDT by Sandeep K. Shandilya
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: mkinitrd-5.1.19-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-26 07:49:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandeep K. Shandilya 2006-09-21 11:40:22 EDT
Description of problem:
mkinitrd does not add lvm details even if the current installation is on an lvm
and clustering is enabled.
Version-Release number of selected component (if applicable):
beta1


How reproducible:
always


Steps to Reproduce:
1. Install RHEL5 beta1 on lvm
2. run a mkinitrd on the current kernel.
3. uncompress the initrd
  
Actual results:
The initrd does not contain the lvm modules and the init script in the initrd
does not load them.

Expected results:
The lvm components should be in the initrd.

Additional info:
vgscan doesn not run it exits with the message
Locking_type 2 initialisation failed.
Change the locking type to 1 /etc/lvm/lvm.conf and everything works fine.
Comment 1 Peter Jones 2006-09-25 13:44:43 EDT
Could you include the steps you used to enable clustering here?  We don't do
that in the installer, so there's some step you've left out, and I want to make
sure I'm addressing the correct scenario.
Comment 2 Sandeep K. Shandilya 2006-09-27 07:06:05 EDT
(In reply to comment #1)
> Could you include the steps you used to enable clustering here?  We don't do
> that in the installer, so there's some step you've left out, and I want to make
> sure I'm addressing the correct scenario.
Hello

Clustering is not enabled on system as yet but the lvm.conf file has the line
locking_type=2 and all commands like vgscan abort with the message
Connect() failed on local socket: Connection refused
Locking type 2 Initialisation failed
If I edit lvm.conf and change locking_type=1 then everything works fine and the
initrd is correctly built.


Comment 3 Sandeep K. Shandilya 2006-09-27 11:12:55 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > Could you include the steps you used to enable clustering here?  We don't do
> > that in the installer, so there's some step you've left out, and I want to make
> > sure I'm addressing the correct scenario.
> Hello
> 
> Clustering is not enabled on system as yet(selected for install by
> using the install key VCS)but the lvm.conf file has the line
> locking_type=2 and all commands like vgscan abort with the message
> Connect() failed on local socket: Connection refused
> Locking type 2 Initialisation failed
> If I edit lvm.conf and change locking_type=1 then everything works fine and the
> initrd is correctly built.
Comment 4 Peter Jones 2006-09-27 17:54:36 EDT
We don't install with locking_type=2 .  How is it getting set to that value?
Comment 5 Sandeep K. Shandilya 2006-09-28 02:46:11 EDT
(In reply to comment #4)
> We don't install with locking_type=2 .  How is it getting set to that value?
During installation there is a prompt for the serial no, I enter VCS (means I 
choose Virutalisation, Clustering and and Advanced Storage) and I see that 
locking type is set to 2 in lvm.conf. That may be the real issue.
Comment 6 RHEL Product and Program Management 2006-10-12 09:33:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 10 Peter Jones 2006-10-17 17:59:28 EDT
Can you please try this with a more recent tree than beta1, and report if it's
still a problem?
Comment 11 Sandeep K. Shandilya 2006-10-19 05:11:40 EDT
(In reply to comment #10)
> Can you please try this with a more recent tree than beta1, and report if it's
> still a problem?

tried with the latest weekly build with
mkinitrd version 5.1.19-1.
lvm2 or lvm2-clustering version 2.02.10-1.0.RHEL5
The issue does not occur. This has been fixed.

Note You need to log in before you can comment on or make changes to this bug.